Bug 51508 - RUN_NONINTERACTIVE bug in colortoalpha plug-in
Summary: RUN_NONINTERACTIVE bug in colortoalpha plug-in
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gimp   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-11 11:34 UTC by Alex Stewart
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 08:35:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patcb to fix colortoalpha plug-in RUN_NONINTERACTIVE mode (347 bytes, patch)
2001-08-11 11:37 UTC, Alex Stewart
no flags Details | Diff

Description Alex Stewart 2001-08-11 11:34:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-12 i686; en-US; 0.7)
Gecko/20010316

Description of problem:
The colortoalpha plug-in cannot be invoked with the RUN_NONINTERACTIVE mode
(i.e. from script-fu).  It always fails with a PDB call error.

How reproducible:
Always

Steps to Reproduce:
1. Open script-fu console
2. Invoke "(plug-in-colortoalpha RUN-NONINTERACTVE image layer color)"
(image, layer, and color values chosen are unimportant)
3. Watch it fail.
	

Additional info:

A patch which fixes the problem (against gimp-1.2.2) is attached.  I have
also submitted this patch to the plug-in author, but figured (particularly
with the new public beta) I'd let you guys know as well..

Comment 1 Alex Stewart 2001-08-11 11:37:35 UTC
Created attachment 27394 [details]
Patcb to fix colortoalpha plug-in RUN_NONINTERACTIVE mode

Comment 2 Nils Philippsen 2004-08-06 08:35:19 UTC
I guess this should be fixed in current GIMP ;-).


Note You need to log in before you can comment on or make changes to this bug.